Subject: bug#51733: 27.1; Detect impossible email addresses better

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Jan 2022 11:27:57 +0100

Robert Pluim <[email-masked]> writes:

> OK, but the error message could be better, no?

Sure, but what?  (And it's not an error message, it's information about
something that looks like it might be odd.)

Summarising Unicode® Technical Standard #39 in one line isn't easy.

We can go all vague, like "Something is wrong", or we can go long, like
"It's not all-ASCII, and it's not single script, and it's not a mixture
of arabic armenian bengali bopomofo devanagari ethiopic georgian
gujarati gurmukhi hangul han hebrew hiragana katakana kannada khmer lao
malayalam myanmar oriya sinhala tamil telugu thaana thai tibetan latin,
and it not a latin/han/korea/japan mixture".  (And I probably forgot
some bits.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no